%define major		0
%define libname		%mklibname pstoedit %{major}
%define develname	%mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	3.75
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics
URL:		http://www.pstoedit.net/pstoedit
Source: 	http://prdownloads.sourceforge.net/pstoedit/pstoedit-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:	imagemagick-devel
BuildRequires:	plotutils-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libzip)

# not compatible
BuildConflicts:	ming-devel
Requires: %{libname}

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- through ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{develname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}pstoedit0-devel < %{version}-%{release}

%description -n %{develname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static --with-libplot --disable-docs
%make_build

%install
rm -rf %buildroot
%make_install

# remove unneeded files
find %{buildroot} -name '*.la' -delete
rm -rf %buildroot/%{_datadir}/doc


%files
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_libdir}/pstoedit/

%files -n %{develname}
%{_includedir}/pstoedit/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Thu Feb 25 2021 tex - 3.75-1pclos2021
- new release for new imagemagick
